# plot file from ./plot-IPD-strategies-counts.pl

set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600
set output './output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-0.0-0-0-0-AllCoopLittleIW-All-Degradation-IPD-strategies-counts.png'

set encoding iso_8859_1

set style data line
set xzeroaxis
set grid x2tics

sqrtn= sqrt(30)
file='./output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-0.0-0-0-0-AllCoopLittleIW-All-Degradation.dat'

set xtics nomirror out
set ytics out
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Agents Utilising each Deception Method"

set style fill solid 1.0 noborder

set style line 1 lt 1 lc rgb "black" lw 2
set style line 2 lt 1 lc rgb "#00008b" lw 2
set style line 3 lt 1 lc rgb "#8b008b" lw 2
set style line 4 lt 1 lc rgb "#ff0000" lw 2
set style line 5 lt 1 lc rgb "#008b00" lw 2
set style line 6 lt 1 lc rgb "#88ccff" lw 2

set yrange [0:*]
set xrange [1:5000]

plot file u 1:27 ti "Tit for Tat", \
'' u 1:28 ti "Tit for 2 Tats", \
'' u 1:26 ti "Pavlov", \
'' u 1:31 ti "All Cooperate", \
'' u 1:32 ti "All Defect", \
'' u 1:29 ti "Random", \
'' u 1:30 ti "Probabilistic"

# change terminal to pdf
set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output './output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-0.0-0-0-0-AllCoopLittleIW-All-Degradation-IPD-strategies-counts.pdf'

replot

