# plot file from ./plot-IW-gain-degradation.pl

set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600
set output './output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-5.0-0-0-0-AllCoopLittleIW-All-Degradation-iw-gain-degradation.png'

set encoding iso_8859_1

set style data line
set xzeroaxis
set grid x2tics

sqrtn= sqrt(30)
file='./output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-5.0-0-0-0-AllCoopLittleIW-All-Degradation.dat'

set xtics nomirror out
set ytics out
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Mean gain from Degradation attacks"

set style fill solid 1.0 noborder

#set yrange [0:*]
set xrange [1:5000]

#plot file u 1:16:($16+(1.96*($17/sqrtn))) w filledcurve notitle lc #1, \
#'' u 1:16:($16-(1.96*($17/sqrtn))) w filledcurve notitle lc 1, \
#'' u 1:16 ti "Mean IW gain \261 95% CI" lw 1 lc 1
plot file u 1:16 ti "Mean IW gain" lw 1 lc 1



# change terminal to pdf
set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output './output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-5.0-0-0-0-AllCoopLittleIW-All-Degradation-iw-gain-degradation.pdf'

replot

