# plot file from ./plot-IPD-strategies-perc.pl

set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600 notransparent
set output './output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-5.0-0-0-0-AllCoopNoIW-All-Degradation-IPD-strategies-perc.png'

set encoding iso_8859_1

set xzeroaxis
set grid x2tics

sqrtn= sqrt(30)
file='./output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-5.0-0-0-0-AllCoopNoIW-All-Degradation.dat'

set xtics nomirror out
set ytics out
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Fraction of agents utilising each IPD strategy"

set style fill solid 1.0 noborder

set yrange [0:1]
set xrange [1:5000]

set style data histogram 
set style histogram rowstacked
# done to avoid colour issues in PNG output
set boxwidth 5

plot file u ($27/($27+$28+$26+$31+$32+$29+$30)) ti "Tit for Tat", \
'' u ($28/($27+$28+$26+$31+$32+$29+$30)) ti "Tit for 2 Tats", \
'' u ($26/($27+$28+$26+$31+$32+$29+$30)) ti "Pavlov", \
'' u ($31/($27+$28+$26+$31+$32+$29+$30)) ti "Always Cooperate", \
'' u ($32/($27+$28+$26+$31+$32+$29+$30)) ti "Always Defect", \
'' u ($29/($27+$28+$26+$31+$32+$29+$30)) ti "Random", \
'' u ($30/($27+$28+$26+$31+$32+$29+$30)) ti "Probabilistic"


# change terminal to pdf
set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output './output/average/DeathStar-ExperimentA-AVG-1-true-100-5000-50-true-5.0-0-0-0-AllCoopNoIW-All-Degradation-IPD-strategies-perc.pdf'

replot

