# plot file from ./plot-score.pl

set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600
set output './output/single/DeathStar-ExperimentA-16-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation-score.png'

set encoding iso_8859_1

set style data line
set xzeroaxis
set grid x2tics

sqrtn= sqrt(30)
file='./output/single/DeathStar-ExperimentA-16-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation.dat'

set xtics nomirror out
set ytics out nomirror
set y2tics out nomirror
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Average generational score"
set y2label "Average per-game score"

set style fill transparent solid 0.2

#set yrange [0:*]
set xrange [1:5000]

plot file u 1:3 axes x1y1 ti "Average generational score", \
'' u 1:5 axes x1y2 ti "Average per-game score"

# change terminal to pdf
set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output './output/single/DeathStar-ExperimentA-16-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation-score.pdf'

replot

