# plot file from ./plot-IW-success-degradation.pl

set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600
set output './output/single/DeathStar-ExperimentA-4-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation-success-degradation.png'

set encoding iso_8859_1

set style data line
set xzeroaxis
set grid x2tics

sqrtn= sqrt(30)
file='./output/single/DeathStar-ExperimentA-4-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation.dat'

set xtics nomirror out
set ytics out
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Mean success from Degradation attacks"

set style fill solid 1.0 noborder

#set yrange [0:*]
set xrange [1:5000]

plot file u 1:35:($35+(1.96*($36/sqrtn))) w filledcurve notitle lc 1, \
'' u 1:35:($35-(1.96*($36/sqrtn))) w filledcurve notitle lc 1, \
'' u 1:35 ti "Mean success \261 95% CI" lw 1 lc 1



# change terminal to pdf
set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output './output/single/DeathStar-ExperimentA-4-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation-success-degradation.pdf'

replot

