# plot file from ./plot-effects-degradation.pl

set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600
set output './output/single/DeathStar-ExperimentA-5-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation-effects-degradation.png'

set encoding iso_8859_1

set style data line
set xzeroaxis
set grid x2tics

sqrtn= sqrt(30)
file='./output/single/DeathStar-ExperimentA-5-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation.dat'

set xtics nomirror out
set ytics out
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Total effects of IW attacks"

set style fill solid 1.0 noborder

set yrange [0:*]
set xrange [1:5000]

plot file u 1:49 ti "Defect to Cooperate", \
'' u 1:50 ti "Defect to Defect", \
'' u 1:52 ti "Cooperate to Defect", \
'' u 1:51 ti "Cooperate to Cooperate"

# change terminal to pdf
set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output './output/single/DeathStar-ExperimentA-5-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation-effects-degradation.pdf'

replot

