# plot file from ./plot-unknown.pl

set term pngcairo enhanced truecolor crop color font "Calibri,14" size 1000,600
set output './output/single/DeathStar-ExperimentA-8-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation-unknown.png'

set encoding iso_8859_1

set style data line
set xzeroaxis
set grid x2tics

sqrtn=sqrt(30)
file='./output/single/DeathStar-ExperimentA-8-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation.dat'

set xtics nomirror out
set ytics out nomirror
set y2tics out nomirror
#set key outside below horizontal maxrows 2
set key bmargin center horizontal

set xlabel "Time (steps)"
set ylabel "Unknown probability"

set style fill transparent solid 0.5 noborder

set xrange [1:5000]

plot file u 1:7:($7+(1.96*($8/sqrtn))) w filledcurve notitle lc 1, \
'' u 1:7:($7-(1.96*($8/sqrtn))) w filledcurve notitle lc 1, \
'' u 1:7 ti "Average unknown probability \261 95% CI" lw 1 lc 1

# change terminal to pdf
set term pdfcairo enhanced color font "Calibri,14" size 8,5
set output './output/single/DeathStar-ExperimentA-8-1-true-100-5000-50-true-0.0-0-0-0-AllCoopNoIW-All-Degradation-unknown.pdf'

replot


